---
title: Statistical Analysis
subtitle: Exercises
numbersections: true
documentclass: article
fontsize: 12pt

geometry:
  - width=150mm
  - top=20mm
  - bottom=30mm

mainlang: english
otherlang: russian

header-includes: |
  ```{=latex}
  % start new page with each section
  \usepackage{etoolbox}
  \usepackage{tikz}
  \usepackage{amsmath}
  \usepackage{amssymb}
  \usepackage{siunitx}
  \pretocmd{\section}{\clearpage}{}{}

  % strict figure placement
  \usepackage{float}
  \floatplacement{figure}{H}

  % customer macros
  %% "with" in formulas
  \DeclareMathOperator*{\with}{%
    \hspace{30pt} \text{with} \hspace{30pt}  
  }
  %% "thus" in formulas
  \DeclareMathOperator*{\thus}{%
    \hspace{30pt} \Longrightarrow \hspace{30pt}  
  }
  %% "et" in formulas
  \DeclareMathOperator*{\et}{%
  \hspace{30pt} \wedge \hspace{30pt}
  }

  % configure captions
  \usepackage{caption}
  \captionsetup{font={footnotesize,it}}
  \captionsetup{width=11cm}
  \usepackage{stmaryrd}
  ```
---
